> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves all information for a specific user by their ID.

# Get User

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="User" objectPath="user" />


## OpenAPI

````yaml get /users/{userId}
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /users/{userId}:
    parameters:
      - name: userId
        in: path
        required: true
        description: The unique identifier of the user
        example: usr_eSrHPSoL9QVPUOsho
        schema:
          type: string
    get:
      tags:
        - Users
      summary: Get User
      parameters: []
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
              example: application/json
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
              example:
                _id: usr_eSrHPSoL9QVPUOsho
                email: example@lemlist.co
                role: admin
                linkedIn:
                  linkedinUrl: https://www.linkedin.com/in/john-doe
                  status: true
                  inviteLimit: 25
                  sendLimit: 33
                  visitLimit: 36
                mailboxes:
                  - _id: usm_2mkqJNUjnJQiyVBht
                    email: example@gmail.com
                    provider: google
                    status: ERROR
                    lemlist:
                      emailLimit: 50
                    lemwarm:
                      active: false
                  - _id: usm_gqlN3jKWoGo1Je8El
                    email: example@outlook.com
                    status: ERROR
                    lemlist:
                      emailLimit: 50
                    lemwarm:
                      active: false
        '400':
          description: 'Possible errors: Bad team / Endpoint not available'
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
components:
  schemas:
    User:
      type: object
      description: >-
        A team member account with connected email and/or LinkedIn sending
        capabilities.
      properties:
        _id:
          type: string
          description: Unique user identifier
        email:
          type: string
          format: email
          description: User email address
        role:
          type: string
          description: User role in the team (admin, member, etc.)
        linkedIn:
          type: object
          description: LinkedIn integration settings
          properties:
            linkedinUrl:
              type: string
              description: The LinkedIn URL of the person
            status:
              type: boolean
              description: Whether LinkedIn is connected
            inviteLimit:
              type: integer
              description: Daily limit for LinkedIn connection invites
            sendLimit:
              type: integer
              description: Daily limit for LinkedIn messages
            visitLimit:
              type: integer
              description: Daily limit for LinkedIn profile visits
        mailboxes:
          type: array
          description: Email mailboxes connected to this user
          items:
            $ref: '#/components/schemas/Mailbox'
    Mailbox:
      type: object
      description: An email account connected to a user for sending campaigns.
      properties:
        _id:
          type: string
          description: Unique mailbox identifier
        email:
          type: string
          format: email
          description: Mailbox email address
        provider:
          type: string
          description: Email provider (google, microsoft, etc.)
        status:
          type: string
          description: Connection status
          enum:
            - CONNECTED
            - ERROR
            - DISCONNECTED
        lemlist:
          type: object
          properties:
            emailLimit:
              type: integer
              description: Daily send limit
        lemwarm:
          type: object
          properties:
            active:
              type: boolean
              description: Lemwarm activation status
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````